# -*- coding: utf-8 -*-
from setuphelpers import *


""" 
"remove_newer": False,      ### Allow you to forget a specific incorrect version
"remove_newer": True,       ### Allow you to return on an older version

"""

packages_to_fix = [
    {
        "package": "tis-adobereader",
        "version": "2021.1.200150",
        "remove_newer": False,
    },
    # {
    #     "package": "tis-pdfcreator",
    #     "version": "3.2.0",
    #     "remove_newer": True,
    # },
]


def install():
    package_prefix = control.package.split("-", 1)[0]
    for pkg_fix in packages_to_fix:
        pkg_name = pkg_fix["package"]
        if pkg_name.startswith("tis-"):
            pkg_name = package_prefix.replace("tis-", package_prefix + "-")
        read_package = WAPT.is_installed(pkg_name)
        to_fix = False
        if read_package:
            if pkg_fix["remove_newer"]:
                if Version(read_package.get_software_version()) > Version(pkg_fix["version"]):
                    to_fix = True
            else:
                if Version(read_package.get_software_version()) == Version(pkg_fix["version"]):
                    to_fix = True
            if to_fix:
                WAPT.forget_packages(pkg_fix["package"])
                WAPT.install(pkg_fix["package"])
